# Uses of Interface
org.springframework.expression.MethodExecutor

Packages that use MethodExecutor
Package
Description
org.springframework.expression
Core abstractions behind the Spring Expression Language.
org.springframework.expression.spel.support
SpEL's default implementations for various core abstractions.

## Uses of MethodExecutor in org.springframework.expression

Methods in org.springframework.expression that return MethodExecutor
Modifier and Type
Method
Description
`MethodExecutor`
MethodResolver.`resolve(EvaluationContext context, Object targetObject, String name, List<org.springframework.core.convert.TypeDescriptor> argumentTypes)`
Within the supplied context, resolve a suitable method on the supplied object that can handle the specified arguments.

## Uses of MethodExecutor in org.springframework.expression.spel.support

Classes in org.springframework.expression.spel.support that implement MethodExecutor
Modifier and Type
Class
Description
`class`
`ReflectiveMethodExecutor`
`MethodExecutor` that works via reflection.
Methods in org.springframework.expression.spel.support that return MethodExecutor
Modifier and Type
Method
Description
`MethodExecutor`
DataBindingMethodResolver.`resolve(EvaluationContext context, Object targetObject, String name, List<org.springframework.core.convert.TypeDescriptor> argumentTypes)`
`MethodExecutor`
ReflectiveMethodResolver.`resolve(EvaluationContext context, Object targetObject, String name, List<org.springframework.core.convert.TypeDescriptor> argumentTypes)`
Locate a method on the type.